#!/bin/sh
#
# Starting MQ File Mover
#
# Uncomment and set MQFM_HOME
#
###MQFM_HOME=/opt/mqm/Capitalware/MQFM
###export MQFM_HOME
#
if [ -n "${MQFM_HOME}" ]; then
  echo "MQFM_HOME=${MQFM_HOME} "
else
  echo "MQFM_HOME is not set. Please set MQFM_HOME then try again."
  exit
fi
#
# MQAUSXJ client-side security exit
#
case `uname -s` in
OS400)
  MQAUSXJ_PATH=/QIBM/ProdData/mqm/mqausx
;;
*)
  MQAUSXJ_PATH=/var/mqm/exits64
esac
#
# Set defaul values for MQFM variables
#
MQFM_JVM_PARMS="-Xms64m -Xmx512m"
MQFM_EXE_CLASS=biz.capitalware.mqfm.MQFM
#
# Common CLASSPATH value
#
CLASSPATH="libs/MQFM.jar:libs/jdom.jar:libs/log4j-1.2.8.jar:libs/mail.jar:libs/activation.jar:${MQAUSXJ_PATH}/MQAUSXJ.jar"
#
#
if [ -n "${MQSSLKEYR}" ]; then
   MQFM_JVM_PARMS=-Djavax.net.ssl.trustStore="${MQSSLKEYR}.jks ${MQFM_JVM_PARMS}"
fi
#
export CLASSPATH
#
# Are the MQ Java libraries installed
#
if [ -f "/opt/mqm/java/lib/com.ibm.mq.jar" ] || [ -f "/usr/mqm/java/lib/com.ibm.mq.jar" ] || [ -f "/QIBM/ProdData/mqm/java/lib/com.ibm.mq.jar" ]; then
  #
  # Figure out CLASSPATH and shared library
  #
  case `uname -s` in
  AIX)
    if [ -n "${MQ_JAVA_LIB_PATH}" ]; then
      MQLIBPATH="$MQ_JAVA_LIB_PATH"
    else
      MQLIBPATH="/usr/mqm/java/lib"
    fi

    if [ -n "${LIBPATH}" ]; then
      LIBPATH="/usr/mqm/java/lib:$LIBPATH"
    else
      LIBPATH="/usr/mqm/java/lib"
    fi

    export LIBPATH
    echo "LIBPATH=${LIBPATH}"
  ;;
  HP-UX)
    if [ -n "${MQ_JAVA_LIB_PATH}" ]; then
      MQLIBPATH="$MQ_JAVA_LIB_PATH"
    else
      MQLIBPATH="/opt/mqm/java/lib"
    fi

    if [ -n "${SHLIB_PATH}" ]; then
      SHLIB_PATH="/opt/mqm/java/lib:$SHLIB_PATH"
    else
      SHLIB_PATH="/opt/mqm/java/lib"
    fi

    export SHLIB_PATH
    echo "SHLIB_PATH=${SHLIB_PATH}"
  ;;
  LINUX|Linux)
    if [ -n "${MQ_JAVA_LIB_PATH}" ]; then
      MQLIBPATH="$MQ_JAVA_LIB_PATH"
    else
      MQLIBPATH="/opt/mqm/java/lib"
    fi

    if [ -n "${LD_LIBRARY_PATH}" ]; then
      LD_LIBRARY_PATH="/opt/mqm/java/lib:$LD_LIBRARY_PATH"
    else
      LD_LIBRARY_PATH="/opt/mqm/java/lib"
    fi

    export LD_LIBRARY_PATH
    echo "LD_LIBRARY_PATH=${LD_LIBRARY_PATH}"
  ;;
  SunOS)
    if [ -n "${MQ_JAVA_LIB_PATH}" ]; then
      MQLIBPATH="$MQ_JAVA_LIB_PATH"
    else
      MQLIBPATH="/opt/mqm/java/lib"
    fi

    if [ -n "${LD_LIBRARY_PATH}" ]; then
      LD_LIBRARY_PATH="/opt/mqm/java/lib:$LD_LIBRARY_PATH"
    else
      LD_LIBRARY_PATH="/opt/mqm/java/lib"
    fi

    export LD_LIBRARY_PATH
    echo "LD_LIBRARY_PATH=${LD_LIBRARY_PATH}"
  ;;
  OS400)
    if [ -n "${MQ_JAVA_LIB_PATH}" ]; then
      MQLIBPATH="$MQ_JAVA_LIB_PATH"
    else
      MQLIBPATH="/QIBM/ProdData/mqm/java/lib"
    fi

    if [ -n "${LIBPATH}" ]; then
      LIBPATH="/QIBM/ProdData/mqm/java/lib:$LIBPATH"
    else
      LIBPATH="/QIBM/ProdData/mqm/java/lib"
    fi

    export LIBPATH
    echo "LIBPATH=${LIBPATH}"
  ;;
  *)
    MQLIBPATH="libs"
    echo "Using included libs libraries - Only Client mode connections allowed."
  esac
else
  echo "Java MQ not found."
  exit
fi
#
# Add MQ JAR files to the CLASSPATH
#
CLASSPATH="${MQLIBPATH}/com.ibm.mq.jar:${MQLIBPATH}/connector.jar:${MQLIBPATH}/com.ibm.mq.jmqi.jar:${MQLIBPATH}/com.ibm.mq.headers.jar:${MQLIBPATH}/com.ibm.mq.commonservices.jar:${MQLIBPATH}:.:$CLASSPATH"
export CLASSPATH
echo "CLASSPATH=${CLASSPATH}"
#
cd ${MQFM_HOME}
#
# Now start MQ File Mover
#
java ${MQFM_JVM_PARMS} ${MQFM_EXE_CLASS} "$@"
